<div class="row justify-content-between mb-4">
  <div class="col-lg-6 col-md-8 col-sm-9 col-12">
    <div class="row">
      <div class="col-md-3">
        <input class="form-control" type="search" placeholder="Recherche" [ngModel]="query.search"
               (input)="onSearchType($event)">
      </div>
      <div class="col-md-2">
        <select class="custom-select" style="width: auto" [(ngModel)]="query.page_size"
                (ngModelChange)="getCustomers()">
          <option [ngValue]="25">25 élements</option>
          <option [ngValue]="50">50 élements</option>
          <option [ngValue]="100">100 élements</option>
          <option [ngValue]="200">200 élements</option>
        </select>
      </div>
    </div>
  </div>
  <div class="col-lg-6 col-md-4 col-sm-3 col-12 text-right">
    <button (click)="customerModal()" type="button" class="btn btn-basic ml-2">
      Ajouter un client
    </button>
  </div>
</div>

<div class="row">
  <div class="col-12">
    <table class="table table-striped bg-white">
      <thead>
      <tr>
        <th scope="col">Nom</th>
        <th scope="col">Prénom</th>
        <th scope="col">Email</th>
        <th scope="col">Téléphone</th>
        <th style="width: 4%;" scope="col"></th>
        <th style="width: 4%;" scope="col"></th>
      </tr>
      </thead>
      <tbody>
      <ng-container *ngIf="customerPage && customerPage.results.length > 0; else fakeLines">
        <tr *ngFor="let elem of customerPage.results;" >
          <td>{{elem.last_name}}</td>
          <td>{{elem.first_name}}</td>
          <td><a href="mailto:{{elem.email}}" target="_top">{{elem.email}}</a></td>
          <td>{{elem.phone}}</td>
          <td>
            <button class="btn btn-light align-middle" [routerLink]="['/customers/' + elem.id]">
              <fa-icon [icon]="icons.faEditIcon"></fa-icon>
            </button>
          </td>
          <td>
            <button (click)= "deleteCustomer(elem.id)" class="btn btn-danger align-middle">
              <fa-icon [icon]="icons.faTrashIcon"></fa-icon>
            </button>
          </td>
        </tr>
      </ng-container>
      <ng-template #fakeLines>
      </ng-template>
      </tbody>
    </table>
  </div>
</div>

<div *ngIf="customerPage" class="row">
  <div class="col-12">
    <ngb-pagination [collectionSize]="customerPage.results.length" [(page)]="query.page" [pageSize]="query.page_size"
                    (pageChange)="getCustomers()">
    </ngb-pagination>
  </div>
</div>
